# IRsUnknownCurveTesselator Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | GetDomain ([out] RtFloat *pfIntervalStart,[out] RtFloat *pfIntervalEnd)
HRESULT | GetNumFeaturePoints ([out, retval] RtDWORD *pdwNumFeatures)
HRESULT | GetFeaturePoint ([in] RtDWORD dwFeature,[out, retval] RtFloat *pfTime)
HRESULT | BeginTesselation ()
HRESULT | EndTesselation ()
HRESULT | GetLength ()
HRESULT | GetPoint ([in] RtFloat time,[out, retval] RtPoint *pPoint)
HRESULT | GetDerivation ([in] RtFloat time,[out, retval] RtVector3f *pDirection)

## Detailed Description

IRsUnknownCurveTesselator is an interface to general Rosetta curve tesselator.

## Member Function Documentation

HRESULT IRsUnknownCurveTesselator::GetDomain | ( | [out] RtFloat * | pfIntervalStart,
|  | [out] RtFloat * | pfIntervalEnd |
| ) |  |  |

Return domain for curve

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsUnknownCurveTesselator::GetNumFeaturePoints | ( | [out, retval] RtDWORD * | pdwNumFeatures | ) |

Return count of feature points (the the one that should'nt be missed during interpolation)

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsUnknownCurveTesselator::GetFeaturePoint | ( | [in] RtDWORD | dwFeature,
|  | [out, retval] RtFloat * | pfTime |
| ) |  |  |

Return time of feature point with defined index.

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsUnknownCurveTesselator::BeginTesselation | ( |  | ) |

Prepare object for tesselation, initializes caches and related stuff

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsUnknownCurveTesselator::EndTesselation | ( |  | ) |

Notify object about tesselation end. releases caches and related stuff

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsUnknownCurveTesselator::GetLength | ( |  | ) |

Return curve length (estimated)

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsUnknownCurveTesselator::GetPoint | ( | [in] RtFloat | time,
|  | [out, retval] RtPoint * | pPoint |
| ) |  |  |

Return point for specified time.

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRsUnknownCurveTesselator::GetDerivation | ( | [in] RtFloat | time,
|  | [out, retval] RtVector3f * | pDirection |
| ) |  |  |

Return derivation for specified time.

Returns:
  standard HRESULT processing can be applied to returned value